## libimobiledevice 1.0.1

=== docs/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# docs/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/libimobiledevice
pkgincludedir = $(includedir)/libimobiledevice
pkglibdir = $(libdir)/libimobiledevice
pkglibexecdir = $(libexecdir)/libimobiledevice
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-suse-linux-gnu
host_triplet = i686-suse-linux-gnu
subdir = docs
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac_pkg_swig.m4 \
	$(top_srcdir)/m4/ac_python_devel.m4 \
	$(top_srcdir)/m4/as-compiler-flag.m4 \
	$(top_srcdir)/m4/ax_swig_enable_cxx.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/swig_python.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
man1dir = $(mandir)/man1
am__installdirs = "$(DESTDIR)$(man1dir)"
NROFF = nroff
MANS = $(man_MANS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/mszulecki/Software/code/libimobiledevice/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/mszulecki/Software/code/libimobiledevice/missing --run tar
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/mszulecki/Software/code/libimobiledevice/missing --run autoconf
AUTOHEADER = ${SHELL} /home/mszulecki/Software/code/libimobiledevice/missing --run autoheader
AUTOMAKE = ${SHELL} /home/mszulecki/Software/code/libimobiledevice/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEV_SUB = dev
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GLOBAL_CFLAGS =   -Wall -Wextra -Wmissing-declarations -Wredundant-decls -Wshadow -Wpointer-arith -Wwrite-strings -Wswitch-default -Wno-unused-parameter
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/i586-suse-linux/bin/ld
LDFLAGS = 
LFS_CFLAGS =  -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1
LIBIMOBILEDEVICE_SO_VERSION = 1:1:0
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/mszulecki/Software/code/libimobiledevice/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libimobiledevice
PACKAGE_BUGREPORT = nospam@nowhere.com
PACKAGE_NAME = libimobiledevice
PACKAGE_STRING = libimobiledevice 1.0.1
PACKAGE_TARNAME = libimobiledevice
PACKAGE_VERSION = 1.0.1
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PYTHON = /usr/bin/python
PYTHON_CPPFLAGS = -I/usr/include/python2.6
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_EXTRA_LDFLAGS = -Xlinker -export-dynamic
PYTHON_EXTRA_LIBS =  -lpthread -ldl  -lutil
PYTHON_LDFLAGS = -L/usr/lib/python2.6 -lpython2.6
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_SITE_PKG = /usr/lib/python2.6/site-packages
PYTHON_VERSION = 2.6
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
SWIG = /usr/bin/swig -c++
SWIG_LIB = /usr/share/swig/1.3.36
SWIG_PYTHON_CPPFLAGS = -I/usr/include/python2.6
SWIG_PYTHON_OPT = -python
VERSION = 1.0.1
abs_builddir = /home/mszulecki/Software/code/libimobiledevice/docs
abs_srcdir = /home/mszulecki/Software/code/libimobiledevice/docs
abs_top_builddir = /home/mszulecki/Software/code/libimobiledevice
abs_top_srcdir = /home/mszulecki/Software/code/libimobiledevice
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-suse-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = suse
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-suse-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = suse
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/mszulecki/Software/code/libimobiledevice/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libgcrypt_LIBS = -lgcrypt
libglib2_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
libglib2_LIBS = -lglib-2.0  
libgnutls_CFLAGS =  
libgnutls_LIBS = -lgnutls  
libgthread2_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
libgthread2_LIBS = -pthread -lgthread-2.0 -lrt -lglib-2.0  
libplist_CFLAGS = -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
libplist_LIBS = -lplist -lxml2 -lglib-2.0  
libplistmm_CFLAGS = -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
libplistmm_LIBS = -lplist++ -lplist -lxml2 -lglib-2.0  
libtasn1_CFLAGS =  
libtasn1_LIBS = -ltasn1  
libusbmuxd_CFLAGS =  
libusbmuxd_LIBS = -lusbmuxd  
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/libimobiledevice
pkgpythondir = ${pythondir}/libimobiledevice
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.6/site-packages
pythondir = ${prefix}/lib/python2.6/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
man_MANS = idevice_id.1 ideviceinfo.1 idevicesyslog.1 idevicebackup.1 ideviceimagemounter.1 idevicescreenshot.1
EXTRA_DIST = $(man_MANS)
DISTCLEANFILES = html/* html
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign docs/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-man1: $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
	@list=''; test -n "$(man1dir)" || exit 0; \
	{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	test -z "$$files" || { \
	  echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
	  cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@list='$(MANS)'; if test -n "$$list"; then \
	  list=`for p in $$list; do \
	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
	  if test -n "$$list" && \
	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
	    exit 1; \
	  else :; fi; \
	else :; fi

## libimobiledevice 0.9.7

=== debian/changelog ===
libimobiledevice (0.9.7-1ubuntu1) lucid; urgency=low

  * Move copying of documentation files to libimobiledevice-doc.install file.
    Fixes FTBFS on non-i386 buildd.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Wed, 10 Feb 2010 23:21:41 +0530

libimobiledevice (0.9.7-1) unstable; urgency=medium

  * Urgency set to medium to fix RC bug (#565665).
  * New upstream release, previously named libiphone (Closes: #568136, #568137)
  * Replace all libiphone occurence to libimobiledevice.
  * Remove python-iphone.preinst, not needed since the package was renamed.
  * debian/copyright: Update copyright holders and authors.
  * debian/libimobiledevice-dev & debian/rules: Remove *.la files.
  * debian/rules:
   - Rewrite to use dh7.
   - Pass --enable-dev-tools.
  * debian/control:
   - Build-depends on debhelper (>= 7.0.50~).
   - Add VCS-* fields.
   - Build-depends on libusb2-dev on kfreebsd (Closes: #565665).
   - Remove libusb-1.0-0-dev depends for libimobiledevice-dev.
   - Wrap depends.
   - Add Conflicts/Replaces with libiphone0 for .fdi file.
   - Bump Standards-Version to 3.8.4, no change needed.
  * debian/libimobiledevice0.symbols: Rewrite with only remaining symbols.
  * debian/patches:
    - 01-libs.private.patch: Use Requires.private in *.pc files to not add
      unecessary links.
    - 02-add-missing-linking.patch: Add missing LDFLAG on plist for python
      bindings.
    - 03-fix-python-import.patch: Fix name of the python module.
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/libimobiledevice-doc.*: Add the documentation to it's own package.
  * Add debian/idevicebackup.1.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Tue, 02 Feb 2010 21:19:51 +0100

libiphone (0.9.5-1) unstable; urgency=medium

  * New maintainer, thanks Bradley Smith for his work (Closes: #548595).
  * Urgency set to medium to fix RC bug (#560619).
  * New upstream release (Closes: #557642)
   - Build with new libplist (Closes: #560619)
  * debian/control & debian/libiphone-utils:
   - Put executable binaries in a separate package.
  * debian/control :
   - Change python-libiphone to python-iphone binary, to reflect the change of
     the module.
   - Build against libusb-1.0-0-dev (>= 1.0.3), libusbmuxd-dev (>= 1.0.0),
     libtasn1-3-dev (>= 1.1), libplist++-dev (>= 0.15), python-all-dev,
     libreadline-dev and python-plist.
   - Build depends on python-support.
   - Update build-depends on libplist-dev to (>= 0.15) and swig to (>= 1.3.36).
   - Wrap build-depends.
   - Make libiphone-dev depends on libusbmuxd-dev and libtasn1-3-dev.
   - Make libiphone0 depends on usbmuxd.
  * debian/libiphone0.install: 
   - Remove udev rules, not shipped by upstream.
   - Only install 0 library number. 
  * debian/python-iphone: Update installation location for python 2.6.
  * debian/rules & debian/python-iphone.preinst: Switch to python-support.
  * debian/libiphone-utils.manpages: Add man pages.
  * Bump Standards-Version to 3.8.3, no change needed.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 14 Dec 2009 21:16:05 +0100

libiphone (0.9.1-3) unstable; urgency=low

  * Fix udev rule installation path. Closes: #529650.

 -- Bradley Smith <bradsmith@debian.org>  Wed, 20 May 2009 22:29:26 +0100

libiphone (0.9.1-2) unstable; urgency=low

  * Add missing Depends on libplist-dev.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 17 May 2009 14:08:18 +0100

libiphone (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Remove unneeded Build-Depends, and add libplist-dev.
    - Correct -dbg section.
    - Drop libiphone-utils package, binaries no longer present.
    - Add python-libiphone package.
  * Drop quilt patch system:
    - Drop fix-gnutls-depend.diff - Gone upstream.
  * Add watch file.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 12 May 2009 18:30:54 +0100

libiphone (0.1.0~git+20090323-1) experimental; urgency=low

  * New upstream snapshot.
  * Add quilt patch system.
    - fix-gnutls-depend.diff - Remove versioned depends on gnutls. Since it
      is not needed. Closes: #520871, #520859.
  * Update Standards-Version to 3.8.1. (No changes).

 -- Bradley Smith <bradsmith@debian.org>  Mon, 23 Mar 2009 20:33:14 +0000

libiphone (0.1.0~git+20090210-1) experimental; urgency=low

  * Initial release. Closes: #501727.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 10 Feb 2009 12:34:49 +0000

=== debian/control ===
Source: libimobiledevice
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50~),
	libgnutls-dev (>= 1.6.3), 
	libusb-1.0-0-dev (>= 1.0.3) [!kfreebsd-i386 !kfreebsd-amd64] | libusb2-dev (>= 8.0-4) [kfreebsd-i386 kfreebsd-amd64],
	libglib2.0-dev (>= 2.14.1), 
	libplist-dev (>= 0.15), 
	libplist++-dev (>= 0.15),
	python-all-dev, 
	python-support (>= 0.6.0), 
	swig (>= 1.3.36),
	libusbmuxd-dev (>= 1.0.0),
	libtasn1-3-dev (>= 1.1),
	libreadline-dev,
	python-plist
XS-Python-Version: current
Homepage: http://matt.colyer.name/projects/iphone-linux/
Vcs-Git: git://github.com/gilir/libiphone-debian.git
Vcs-Browser: http://github.com/gilir/libiphone-debian/tree

Package: libimobiledevice0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         usbmuxd
Conflicts: libiphone0
Replaces: libiphone0
Description: Library for communicating with the iPhone and iPod Touch
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depends on using any existing libraries from Apple.

Package: libimobiledevice-dev
Architecture: any
Section: libdevel
Depends: libimobiledevice0 (= ${binary:Version}), 
         ${misc:Depends},
         libglib2.0-dev,
         libplist-dev, 
         libusbmuxd-dev,
         libgnutls-dev,
         libtasn1-3-dev
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains the development files.

Package: libimobiledevice0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libimobiledevice0 (= ${binary:Version}), 
         ${misc:Depends}
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains the debugging symbols.

Package: python-imobiledevice
Section: python
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         ${python:Depends}
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Conflicts: python-libiphone, python-iphone
Replaces: python-libiphone, python-iphone
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains the Python bindings

Package: libimobiledevice-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains the debugging symbols.

Package: libimobiledevice-doc
Architecture: all
Section: doc
Depends: libimobiledevice0 (>= ${source:Version}),
         ${misc:Depends}
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains the documentation for the library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -O2 -Wall
LDFLAGS = -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif

configure_flags += \
		--prefix=/usr \
		--sysconfdir=/etc --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--enable-dev-tools

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- 	$(configure_flags)

override_dh_install:
	#Remove .la files.
	rm -rf $(CURDIR)/debian/tmp/usr/lib/*.la
	#Move docs files to be installed
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/libimobiledevice-doc/libimobiledevice
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libimobiledevice0-dbg

=== debian/watch ===
version=3
http://github.com/MattColyer/libiphone/downloads \
    http://cloud.github.com/downloads/MattColyer/libiphone/libimobiledevice-([\d\.]+)\.tar\.bz2

## libimobiledevice 1.0.1

=== debian/changelog ===
libimobiledevice (1.0.1-1ubuntu0.1) maverick-proposed; urgency=low

  * Add compatibility for iOS 4.2 and 4.3. This doesn't add new device
    support, it only maintains support for devices which were updated to
    the new firmware. (LP: #793616)
    - debian/patches/04-ios-42-compat.patch: Fix compatibility with iOS
      4.2 by passing a cert in the handshake.
    - debian/patches/05-ios-43-compat.patch: Fix compatibility with iOS
      4.3 by handling invalid null characters in the plist.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 06 Jun 2011 12:31:59 -0400

libimobiledevice (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Update.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 24 May 2010 23:39:58 +0200

libimobiledevice (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump SONAME to libimobiledevice1.
  * debian/watch: Fixed by using githubredir.debian.net redirection.
  * debian/libimobiledevice-utils.manpages: Update to use upstream manpages.
  * debian/*.1: Remove manpages, there are now shipped upstream.
  * debian/control: Fix wrong description. (Closes: #571586)
  * debian/patches:
    - 02-add-missing-linking.patch: Refresh.
    - 03-fix-python-import.patch: Dropped, merged upstream.
  * debian/libimobiledevice1.install: Remove fdi file, not shipped anymore.
  * debian/rules: Remove installed manpages, handle by *.manpages.
  * debian/*.manpages: Update location of the manpages.
  * debian/*.symbols: Update.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Fri, 26 Mar 2010 21:28:14 +0100

libimobiledevice (0.9.7-2) unstable; urgency=medium

  * debian/rules & debian/libimobiledevice-doc.install
   - Install directly documentation using dh_install to avoid FTBFS. 
     Thanks Onkar Shinde for the fix (Closes: #569192).

 -- Julien Lavergne <julien.lavergne@gmail.com>  Fri, 12 Feb 2010 01:07:31 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Vcs-Git: git://github.com/gilir/libiphone-debian.git
 Vcs-Browser: http://github.com/gilir/libiphone-debian/tree
 
-Package: libimobiledevice0
+Package: libimobiledevice1
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, 
@@ -38,7 +38,7 @@
 Package: libimobiledevice-dev
 Architecture: any
 Section: libdevel
-Depends: libimobiledevice0 (= ${binary:Version}), 
+Depends: libimobiledevice1 (= ${binary:Version}), 
          ${misc:Depends},
          libglib2.0-dev,
          libplist-dev, 
@@ -52,11 +52,11 @@
  .
  This package contains the development files.
 
-Package: libimobiledevice0-dbg
+Package: libimobiledevice1-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libimobiledevice0 (= ${binary:Version}), 
+Depends: libimobiledevice1 (= ${binary:Version}), 
          ${misc:Depends}
 Description: Library for communicating with iPhone and iPod Touch devices
  libimobiledevice is a library that talks the native Apple USB protocols that
@@ -92,12 +92,12 @@
  the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
  not depend on using any existing libraries from Apple.
  .
- This package contains the debugging symbols.
+ This package contains utilities and examples which use libimobiledevice.
 
 Package: libimobiledevice-doc
 Architecture: all
 Section: doc
-Depends: libimobiledevice0 (>= ${source:Version}),
+Depends: libimobiledevice1 (>= ${source:Version}),
          ${misc:Depends}
 Description: Library for communicating with iPhone and iPod Touch devices
  libimobiledevice is a library that talks the native Apple USB protocols that

=== debian/rules ===
--- 
+++ 
@@ -27,9 +27,9 @@
 override_dh_install:
 	#Remove .la files.
 	rm -rf $(CURDIR)/debian/tmp/usr/lib/*.la
-	#Move docs files to be installed
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/libimobiledevice-doc/libimobiledevice
+	#Remove installed man pages, installed by *.manpages
+	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/*.1
 	dh_install --fail-missing
 
 override_dh_strip:
-	dh_strip --dbg-package=libimobiledevice0-dbg
+	dh_strip --dbg-package=libimobiledevice1-dbg

## libimobiledevice 1.0.2

=== docs/Makefile ===
--- 
+++ 
@@ -123,7 +123,7 @@
 LD = /usr/i586-suse-linux/bin/ld
 LDFLAGS = 
 LFS_CFLAGS =  -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1
-LIBIMOBILEDEVICE_SO_VERSION = 1:1:0
+LIBIMOBILEDEVICE_SO_VERSION = 1:2:0
 LIBOBJS = 
 LIBS = 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
@@ -141,9 +141,9 @@
 PACKAGE = libimobiledevice
 PACKAGE_BUGREPORT = nospam@nowhere.com
 PACKAGE_NAME = libimobiledevice
-PACKAGE_STRING = libimobiledevice 1.0.1
+PACKAGE_STRING = libimobiledevice 1.0.2
 PACKAGE_TARNAME = libimobiledevice
-PACKAGE_VERSION = 1.0.1
+PACKAGE_VERSION = 1.0.2
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PYTHON = /usr/bin/python
@@ -165,7 +165,7 @@
 SWIG_LIB = /usr/share/swig/1.3.36
 SWIG_PYTHON_CPPFLAGS = -I/usr/include/python2.6
 SWIG_PYTHON_OPT = -python
-VERSION = 1.0.1
+VERSION = 1.0.2
 abs_builddir = /home/mszulecki/Software/code/libimobiledevice/docs
 abs_srcdir = /home/mszulecki/Software/code/libimobiledevice/docs
 abs_top_builddir = /home/mszulecki/Software/code/libimobiledevice

=== debian/changelog ===
libimobiledevice (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * libimobiledevice1.symbols: Update with new symbols.
  * debian/idevicepair.1: Add manpage for the new utility.
  * debian/libimobiledevice-utils.manpages: Add the new manpage.
  * debian/control:
   - Use the new homepage (Closes: #586249).
   - Use better build-depends for libusb. Thanks Aurelien Jarno for the advise.
    (Closes: #585635).
   - Bump Standards-Version to 3.9.0.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Tue, 13 Jul 2010 20:29:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libimobiledevice
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
-Standards-Version: 3.8.4
+Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
+Standards-Version: 3.9.0
 Build-Depends: debhelper (>= 7.0.50~),
 	libgnutls-dev (>= 1.6.3), 
-	libusb-1.0-0-dev (>= 1.0.3) [!kfreebsd-i386 !kfreebsd-amd64] | libusb2-dev (>= 8.0-4) [kfreebsd-i386 kfreebsd-amd64],
+    libusb-1.0-0-dev (>= 1.0.3) [linux-any],
+    libusb2-dev (>= 8.0-4) [kfreebsd-any],
 	libglib2.0-dev (>= 2.14.1), 
 	libplist-dev (>= 0.15), 
 	libplist++-dev (>= 0.15),
@@ -18,7 +18,7 @@
 	libreadline-dev,
 	python-plist
 XS-Python-Version: current
-Homepage: http://matt.colyer.name/projects/iphone-linux/
+Homepage: http://libimobiledevice.org/
 Vcs-Git: git://github.com/gilir/libiphone-debian.git
 Vcs-Browser: http://github.com/gilir/libiphone-debian/tree

## libimobiledevice 1.1.0

=== docs/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile.in generated by automake 1.11 from Makefile.am.
+# Makefile.in generated by automake 1.11.1 from Makefile.am.
 # docs/Makefile.  Generated from Makefile.in by configure.
 
 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
@@ -123,7 +123,7 @@
 LD = /usr/i586-suse-linux/bin/ld
 LDFLAGS = 
 LFS_CFLAGS =  -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1
-LIBIMOBILEDEVICE_SO_VERSION = 1:2:0
+LIBIMOBILEDEVICE_SO_VERSION = 2:0:0
 LIBOBJS = 
 LIBS = 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
@@ -141,9 +141,10 @@
 PACKAGE = libimobiledevice
 PACKAGE_BUGREPORT = nospam@nowhere.com
 PACKAGE_NAME = libimobiledevice
-PACKAGE_STRING = libimobiledevice 1.0.2
+PACKAGE_STRING = libimobiledevice 1.1.0
 PACKAGE_TARNAME = libimobiledevice
-PACKAGE_VERSION = 1.0.2
+PACKAGE_URL = 
+PACKAGE_VERSION = 1.1.0
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PYTHON = /usr/bin/python
@@ -162,10 +163,10 @@
 SHELL = /bin/sh
 STRIP = strip
 SWIG = /usr/bin/swig -c++
-SWIG_LIB = /usr/share/swig/1.3.36
+SWIG_LIB = /usr/share/swig/1.3.40
 SWIG_PYTHON_CPPFLAGS = -I/usr/include/python2.6
 SWIG_PYTHON_OPT = -python
-VERSION = 1.0.2
+VERSION = 1.1.0
 abs_builddir = /home/mszulecki/Software/code/libimobiledevice/docs
 abs_srcdir = /home/mszulecki/Software/code/libimobiledevice/docs
 abs_top_builddir = /home/mszulecki/Software/code/libimobiledevice
@@ -208,10 +209,10 @@
 libgnutls_LIBS = -lgnutls  
 libgthread2_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
 libgthread2_LIBS = -pthread -lgthread-2.0 -lrt -lglib-2.0  
-libplist_CFLAGS = -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
-libplist_LIBS = -lplist -lxml2 -lglib-2.0  
-libplistmm_CFLAGS = -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
-libplistmm_LIBS = -lplist++ -lplist -lxml2 -lglib-2.0  
+libplist_CFLAGS =  
+libplist_LIBS = -lplist  
+libplistmm_CFLAGS =  
+libplistmm_LIBS = -lplist++ -lplist  
 libtasn1_CFLAGS =  
 libtasn1_LIBS = -ltasn1  
 libusbmuxd_CFLAGS =  
@@ -339,3 +340,6 @@
 	    exit 1; \
 	  else :; fi; \
 	else :; fi
+	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	list='$(DISTFILES)'; \

=== debian/changelog ===
libimobiledevice (1.1.0-3) experimental; urgency=low

  * debian/control:
   - Add Conlicts / Replaces on libimobiledevice1 and libimobiledevice0, since
     they provide the same fdi file. LP: #753015, Closes: #620065
   - Update Maintainer field, and add me to Uploaders.
   - Update Vcs-*.
   - Remove duplicate section.
  * debian/gbp.conf:
   - Add specific gdb.conf.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 10 Apr 2011 22:37:36 +0200

libimobiledevice (1.1.0-2) experimental; urgency=low

  * debian/control:
    - Add Conflicts/Replaces for libimobiledevice2-dbg with previous version.
  * debian/31-apple-mobile-device.fdi
   - Re-add HAL fdi file, until Amarok don't rely on it.
     Closes: #615107, LP: #362182
  * debian/libimobiledevice2.install:
   - Install the HAL fdi file.
  * debian/patches:
   - 90_fix_4.3_iOS.patch: From upstream, fix corrupted bytes in iOS 4.3.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sat, 26 Mar 2011 21:03:07 +0100

libimobiledevice (1.1.0-1) experimental; urgency=low

  * New upstream development release, API is considered unstable.
  * debian/libimobiledevice1*, debian/rules, debian/control:
   - Bump SONAME for libimobiledevice library.
  * debian/copyright:
   - Update copyright holders.
  * debian/libimobiledevice2.symbols:
   - Update with new symbols.
  * debian/ideviceenterrecovery.1:
   - Add new manpage.
  * debian/libimobiledevice-utils.manpages:
   - Install the new manpage.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 19 Dec 2010 00:11:04 +0100

libimobiledevice (1.0.4-1) experimental; urgency=low

  * New upstream release.
  * debian/docs: Install upstream documentation.
  * debian/rules:
   - Remove additional CFLAGS to pass correct flags.
   - Add additional LDFLAGS.
   - Use filter instead of findstring to find noopt.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 28 Nov 2010 01:05:51 +0100

libimobiledevice (1.0.3-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
   - Bump Standards-Version to 3.9.1.0 (no change needed).
   - Fix spelling error in description (Closes: #593383).

 -- Julien Lavergne <julien.lavergne@gmail.com>  Thu, 14 Oct 2010 00:10:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libimobiledevice
 Section: libs
 Priority: optional
-Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
-Standards-Version: 3.9.0
+Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
+Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
+Standards-Version: 3.9.1.0
 Build-Depends: debhelper (>= 7.0.50~),
 	libgnutls-dev (>= 1.6.3), 
     libusb-1.0-0-dev (>= 1.0.3) [linux-any],
@@ -19,26 +20,25 @@
 	python-plist
 XS-Python-Version: current
 Homepage: http://libimobiledevice.org/
-Vcs-Git: git://github.com/gilir/libiphone-debian.git
-Vcs-Browser: http://github.com/gilir/libiphone-debian/tree
+Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libimobiledevice.git
+Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/libimobiledevice.git
 
-Package: libimobiledevice1
+Package: libimobiledevice2
 Architecture: any
-Section: libs
 Depends: ${shlibs:Depends}, 
-         ${misc:Depends}, 
+         ${misc:Depends},
          usbmuxd
-Conflicts: libiphone0
-Replaces: libiphone0
+Conflicts: libiphone0, libimobiledevice1, libimobiledevice0
+Replaces: libiphone0, libimobiledevice1, libimobiledevice0
 Description: Library for communicating with the iPhone and iPod Touch
  libimobiledevice is a library that talks the native Apple USB protocols that
  the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
- not depends on using any existing libraries from Apple.
+ not depend on using any existing libraries from Apple.
 
 Package: libimobiledevice-dev
 Architecture: any
 Section: libdevel
-Depends: libimobiledevice1 (= ${binary:Version}), 
+Depends: libimobiledevice2 (= ${binary:Version}),
          ${misc:Depends},
          libglib2.0-dev,
          libplist-dev, 
@@ -52,12 +52,14 @@
  .
  This package contains the development files.
 
-Package: libimobiledevice1-dbg
+Package: libimobiledevice2-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libimobiledevice1 (= ${binary:Version}), 
+Depends: libimobiledevice2 (= ${binary:Version}),
          ${misc:Depends}
+Conflicts: libimobiledevice1-dbg
+Replaces: libimobiledevice1-dbg
 Description: Library for communicating with iPhone and iPod Touch devices
  libimobiledevice is a library that talks the native Apple USB protocols that
  the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
@@ -97,7 +99,7 @@
 Package: libimobiledevice-doc
 Architecture: all
 Section: doc
-Depends: libimobiledevice1 (>= ${source:Version}),
+Depends: libimobiledevice2 (>= ${source:Version}),
          ${misc:Depends}
 Description: Library for communicating with iPhone and iPod Touch devices
  libimobiledevice is a library that talks the native Apple USB protocols that

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,9 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = -O2 -Wall
-LDFLAGS = -Wl,--as-needed
+LDFLAGS += -Wl,--as-needed
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
     CFLAGS += -O0
 else
     CFLAGS += -O2
@@ -32,4 +31,4 @@
 	dh_install --fail-missing
 
 override_dh_strip:
-	dh_strip --dbg-package=libimobiledevice1-dbg
+	dh_strip --dbg-package=libimobiledevice2-dbg

## libimobiledevice 1.1.1

=== docs/Makefile ===
--- 
+++ 
@@ -123,7 +123,7 @@
 LD = /usr/i586-suse-linux/bin/ld
 LDFLAGS = 
 LFS_CFLAGS =  -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1
-LIBIMOBILEDEVICE_SO_VERSION = 2:0:0
+LIBIMOBILEDEVICE_SO_VERSION = 2:1:0
 LIBOBJS = 
 LIBS = 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
@@ -141,22 +141,24 @@
 PACKAGE = libimobiledevice
 PACKAGE_BUGREPORT = nospam@nowhere.com
 PACKAGE_NAME = libimobiledevice
-PACKAGE_STRING = libimobiledevice 1.1.0
+PACKAGE_STRING = libimobiledevice 1.1.1
 PACKAGE_TARNAME = libimobiledevice
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.1.0
+PACKAGE_VERSION = 1.1.1
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
+PKG_CONFIG_LIBDIR = 
+PKG_CONFIG_PATH = 
 PYTHON = /usr/bin/python
-PYTHON_CPPFLAGS = -I/usr/include/python2.6
+PYTHON_CPPFLAGS = -I/usr/include/python2.7
 PYTHON_EXEC_PREFIX = ${exec_prefix}
 PYTHON_EXTRA_LDFLAGS = -Xlinker -export-dynamic
 PYTHON_EXTRA_LIBS =  -lpthread -ldl  -lutil
-PYTHON_LDFLAGS = -L/usr/lib/python2.6 -lpython2.6
+PYTHON_LDFLAGS = -L/usr/lib/python2.7 -lpython2.7
 PYTHON_PLATFORM = linux2
 PYTHON_PREFIX = ${prefix}
-PYTHON_SITE_PKG = /usr/lib/python2.6/site-packages
-PYTHON_VERSION = 2.6
+PYTHON_SITE_PKG = /usr/lib/python2.7/site-packages
+PYTHON_VERSION = 2.7
 RANLIB = ranlib
 SED = /usr/bin/sed
 SET_MAKE = 
@@ -164,9 +166,9 @@
 STRIP = strip
 SWIG = /usr/bin/swig -c++
 SWIG_LIB = /usr/share/swig/1.3.40
-SWIG_PYTHON_CPPFLAGS = -I/usr/include/python2.6
+SWIG_PYTHON_CPPFLAGS = -I/usr/include/python2.7
 SWIG_PYTHON_OPT = -python
-VERSION = 1.1.0
+VERSION = 1.1.1
 abs_builddir = /home/mszulecki/Software/code/libimobiledevice/docs
 abs_srcdir = /home/mszulecki/Software/code/libimobiledevice/docs
 abs_top_builddir = /home/mszulecki/Software/code/libimobiledevice
@@ -229,8 +231,8 @@
 prefix = /usr
 program_transform_name = s,x,x,
 psdir = ${docdir}
-pyexecdir = ${exec_prefix}/lib/python2.6/site-packages
-pythondir = ${prefix}/lib/python2.6/site-packages
+pyexecdir = ${exec_prefix}/lib/python2.7/site-packages
+pythondir = ${prefix}/lib/python2.7/site-packages
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 srcdir = .
@@ -239,7 +241,7 @@
 top_build_prefix = ../
 top_builddir = ..
 top_srcdir = ..
-man_MANS = idevice_id.1 ideviceinfo.1 idevicesyslog.1 idevicebackup.1 ideviceimagemounter.1 idevicescreenshot.1
+man_MANS = idevice_id.1 ideviceinfo.1 idevicesyslog.1 idevicebackup.1 idevicebackup2.1 ideviceimagemounter.1 idevicescreenshot.1 idevicepair.1 ideviceenterrecovery.1 idevicedate.1
 EXTRA_DIST = $(man_MANS)
 DISTCLEANFILES = html/* html
 all: all-am
@@ -341,5 +343,3 @@
 	  else :; fi; \
 	else :; fi
 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \

=== debian/changelog ===
libimobiledevice (1.1.1-4) unstable; urgency=low

  [ Robert Hooker ]
  * Add 06_git_ios5_handle_error.patch, backport from git commit 
    e855f246b3 to allow mounting ios 5 devices. (LP: #877440)

  [ Julien Lavergne ]
  * debian/control:
   - Remove build-depend on libusb2-dev. Thanks Robert Millan (Closes: #659625)
   - Update Standards-Version to 3.9.3 (no change needed).

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 18 Mar 2012 16:25:27 +0100

libimobiledevice (1.1.1-3) unstable; urgency=low

  * debian/patches:
   - 05_remove_gcry_need.patch: Remove check and link to gcrypt
     (Closes: #638417)
   - 00git_ios5_support.patch: Fix "Unhandled lockdown error" for iOS 5.
     (LP: #795475)

 -- Julien Lavergne <julien.lavergne@gmail.com>  Tue, 25 Oct 2011 01:02:45 +0200

libimobiledevice (1.1.1-2) unstable; urgency=low

  * Upload to unstable, most of the API should be stable now.
  * debian/patches/
   - 02-add-missing-linking.patch: Refresh
   - 03_ac_pkg_swig_m4_fixed.patch: Fix building python bindings. Thanks
     Sebastian Ramacher for the patch (Closes: #631821).
   - 04_libplist_DSO_linking.patch: Add libplist to LDFLAGS.
  * debian/control:
   - Build-depends on dh-autoreconf for 03_ac_pkg_swig_m4_fixed.patch.
   - Add DM-Upload-Allowed: yes
  * debian/rules:
   - Run dh --with autoreconf for 03_ac_pkg_swig_m4_fixed.patch.
   - Remove .la files for python bindings also.
   - Remove .a files from python bindings.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Fri, 16 Sep 2011 00:01:44 +0200

libimobiledevice (1.1.1-1) experimental; urgency=low

  * New upstream release.
  * debian/changelog: Fix typo in previous entry.
  * debian/patches:
   - 90_fix_4.3_iOS.patch: Merged upstream.
  * debian/libimobiledevice-utils.manpages:
   - Add man page for idevicebackup2.
   - Add man page for idevicedate.
   - Add upstream man pages for ideviceenterrecovery and idevicepair.
  * debian/control:
   - Remove Conflitcs of libimobiledevice2 to make it installable with
     libimobiledevice1 (Closes: #620065).
   - Add Conflicts/Replaces also on libimobiledevice0-dbg (LP: #693895)
   - Remove python-support from Build-Depends.
   - Increase required python-all-dev package version to 2.6.6-3~.
   - Remove XB-Python-Version fields.
   - Add X-Python-Version field.
   - Bump Standards-Version to 3.9.2.0 (no change needed).
  * debian/copyright:
   - Update copyright years.
  * debian/libimobiledevice2.symbols:
   - Update with new symbols.
  * debian/rules:
   - Use --with python2.
   - Pass --no-guessing-versions to dh_python2 to build only with default
     python version.
  * debian/pycompat:
   - Removed.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sat, 30 Apr 2011 13:28:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,32 +3,32 @@
 Priority: optional
 Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
 Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7.0.50~),
 	libgnutls-dev (>= 1.6.3), 
     libusb-1.0-0-dev (>= 1.0.3) [linux-any],
-    libusb2-dev (>= 8.0-4) [kfreebsd-any],
 	libglib2.0-dev (>= 2.14.1), 
 	libplist-dev (>= 0.15), 
 	libplist++-dev (>= 0.15),
-	python-all-dev, 
-	python-support (>= 0.6.0), 
+	python-all-dev (>= 2.6.6-3~), 
 	swig (>= 1.3.36),
 	libusbmuxd-dev (>= 1.0.0),
 	libtasn1-3-dev (>= 1.1),
 	libreadline-dev,
-	python-plist
-XS-Python-Version: current
+	python-plist,
+    dh-autoreconf
+X-Python-Version: >= 2.3
 Homepage: http://libimobiledevice.org/
 Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libimobiledevice.git
 Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/libimobiledevice.git
+DM-Upload-Allowed: yes
 
 Package: libimobiledevice2
 Architecture: any
 Depends: ${shlibs:Depends}, 
          ${misc:Depends},
          usbmuxd
-Conflicts: libiphone0, libimobiledevice1, libimobiledevice0
+Conflicts: libiphone0
 Replaces: libiphone0, libimobiledevice1, libimobiledevice0
 Description: Library for communicating with the iPhone and iPod Touch
  libimobiledevice is a library that talks the native Apple USB protocols that
@@ -58,8 +58,8 @@
 Priority: extra
 Depends: libimobiledevice2 (= ${binary:Version}),
          ${misc:Depends}
-Conflicts: libimobiledevice1-dbg
-Replaces: libimobiledevice1-dbg
+Conflicts: libimobiledevice1-dbg, libimobiledevice0-dbg
+Replaces: libimobiledevice1-dbg, libimobiledevice0-dbg
 Description: Library for communicating with iPhone and iPod Touch devices
  libimobiledevice is a library that talks the native Apple USB protocols that
  the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
@@ -73,7 +73,6 @@
 Depends: ${shlibs:Depends}, 
          ${misc:Depends}, 
          ${python:Depends}
-XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
 Conflicts: python-libiphone, python-iphone
 Replaces: python-libiphone, python-iphone

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 		--enable-dev-tools
 
 %:
-	dh $@
+	dh --with python2 --with autoreconf $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- 	$(configure_flags)
@@ -26,9 +26,16 @@
 override_dh_install:
 	#Remove .la files.
 	rm -rf $(CURDIR)/debian/tmp/usr/lib/*.la
+	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/imobiledevice/*.la
+	#Remove .a files from python bindings.
+	rm -rf $(CURDIR)/debian/tmp//usr/lib/python*/dist-packages/imobiledevice/*.a
 	#Remove installed man pages, installed by *.manpages
 	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/*.1
 	dh_install --fail-missing
 
 override_dh_strip:
 	dh_strip --dbg-package=libimobiledevice2-dbg
+
+override_dh_python2:
+	# Only build for the current version of python, not all supported.
+	dh_python2 --no-guessing-versions
